| Extracted from Pike v7.8 release 700 at 2013-06-08.

[Top]
Stdio

# Method Stdio.exist()

Method exist

  `int exist(string path)`

Description

  Check if a path exists.

Returns

  Returns true if the given path exists (is a directory or file), otherwise false.

Note

  May fail with eg errno() `EFBIG` if the file exists, but the filesystem doesn't support the file size.

See also

  is_dir() , is_file() , is_link() , file_stat()